### Method

# Gtk Label set_wrap_mode

#### Declaration [src]

    void
    gtk_label_set_wrap_mode (
      GtkLabel* self,
      PangoWrapMode wrap_mode
    )

#### Description [src]

Controls how line wrapping is done.

This only affects the label if line wrapping is on. (See `gtk_label_set_wrap()`)

The default is `PANGO_WRAP_WORD`, which means wrap on word boundaries.

For sizing behavior, also consider the `GtkLabel:natural-wrap-mode` property.

Sets property | `Gtk.Label:wrap-mode`

#### Parameters

`wrap_mode`

  Type: `PangoWrapMode`

  The line wrapping mode.